INTEL_DISPLAY_POWER_(9)

NAME
intel_display_power_get - grab a power domain reference

SYNOPSIS

void intel_display_power_get(struct drm_i915_private * dev_priv, enum intel_display_power_domain domain);

ARGUMENTS

dev_priv
    i915 device instance

domain
    power domain to reference

DESCRIPTION

This function grabs a power domain reference for domain and ensures that the power domain and all its parents are powered up. Therefore users should only grab a reference to the innermost power domain they need.

Any power domain reference obtained by this function must have a symmetric call to intel_display_power_put to release the reference again.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT